#ifndef __GLOBAL_H
#define __GLOBAL_H

extern char *MenuEntry[20][50];
extern int MenuLength;
extern int Selected;
extern int GameStatus;
extern int OldStatus;

extern BITMAP *menubmp, *screenbmp, *oldscreenbmp, *tilebmp, *tile[250];
extern PALLETE pallete;
extern FONT *font;

extern char *p1name;
extern char *p2name;
extern char *p3name;
extern char *p4name;

extern struct MapStruct {
    int l1;
    int l2;
} Map[100][100];

extern struct UserStruct { //Map Tiles and Flags
    int x;
    int y;
    int offsetx;
    int offsety;
    int dir;
} User;

enum {
    UP,
    DOWN,
    LEFT,
    RIGHT
};

enum {
    MAP,
    LOGO,
    MENU_MAIN,
    MENU_LOADGAME,
    MENU_CONFIG_PLAYER,
    MENU_CONFIG_PLAYER_CHARNAMES
};

#endif
